Subject: bug#307 closed by Arne Wichmann <[email-masked]> (bug #307 closing - no info for 3 years)

From: "Devuan bug Tracking System" <[email-masked]>
Date: Fri, 10 Nov 2023 19:12:02 +0000

This is an automatic notification regarding your bug report
which was filed against the sysvinit package:

#307: Configuring network interfaces during boot takes too much time.(if ethernet cable not connected or no signal)

It has been closed by Arne Wichmann <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Arne Wichmann <[email-masked]> by
replying to this email.

-- 
307: https://bugs.devuan.org/cgi/bugreport.cgi?bug=307
Devuan Bug Tracking System
Contact [email-masked] with problems

Subject: bug #307 closing - no info for 3 years
From: Arne Wichmann <[email-masked]>
To: [email-masked]
Date: Fri, 10 Nov 2023 20:06:19 +0100

Please reopen this bug if it is still relevant.

cu

AW
-- 
[...] If you don't want to be restricted, don't agree to it. If you are
coerced, comply as much as you must to protect yourself, just don't support
it. Noone can free you but yourself. (crag, on Debian Planet)
Y Plentyn ([email-masked])

Subject: Configuring network interfaces during boot takes too much time.(if ethernet cable not connected or no signal)
From: Kostis Leledakis <[email-masked]>
To: [email-masked]
Date: Fri, 15 Mar 2019 15:59:32 +0200

Package: sysvinit
Version: 2.88dsf-59.9 amd64

During installation I have configured your network interfaces just
through ethernet and have no wifi available on my laptop. The bug is
that during every boot the OS is looking to configure my network
interfaces (and this is good but)... If my ethernet cable is unplugged
or if I have no (or bad) signal on my ethernet the boot becomes too
slow (I have to wait more than 10-15 seconds just for the OS to
realize there is not signal on my cable or even that the cable is not
even plugged in).

Sometimes I don't want to use internet, and/or I have not available
cable to plug in during the installation and this non-reasoned delay
is really annoying.

I asked about that problem in unix.stackexchange.com and got a great
answer that fixed the problem from the member @A.B there.

The answer is to configure my /etc/network/interfaces file to be like:

allow-hotplug eth0
iface eth0 inet dhcp
    pre-up ip link set eth0 up && sleep 1
    pre-up [ $(cat /sys/class/net/eth0/carrier) -eq 1 ]
iface eth0 inet6 auto
    pre-up ip link set eth0 up && sleep 1
    pre-up [ $(cat /sys/class/net/eth0/carrier) -eq 1 ]

You can find the answer and the question here:
https://unix.stackexchange.com/a/503306/237337

I am not sure witch package should configure this file during
installation and not even if there is a package that deals with this
configuration file but this seems more relative to me after a question
I made about it before filling this bug.

If this fix is working (and for me it does and seems really clever)
next releases should take care of this case and use a similar aproach
during network configuration on boot.

Thanks.

PS: If this bug have positive feedback from devuan developers, I
suppose that other distros should adapt their final fix and methods.